@if (componentData$ | async; as componentData) {
  @if (componentData.uiState.loading) {
    <div
      class="full-width p-10 spinner neutral-background-color current-workspace-main-color"
    >
      <i nz-icon nzType="loading" nzTheme="outline"></i>
    </div>
  }
  @if (!componentData.uiState.loading) {
    <div class="full-width p-10 neutral-background-color">
      <div [attr.data-test-element-id]="'execution-attachments'">
        <sqtm-core-label
          class="m-b-10"
          [text]="'sqtm-core.entity.attachment.label.long.plural' | translate"
          [attr.data-test-element-id]="'attachment-label'"
        ></sqtm-core-label>
        @if (componentData.attachmentList.attachments.length > 0) {
          <ul>
            @for (
              attachment of componentData.attachmentList.attachments;
              track attachment
            ) {
              <li>
                <a
                  [attr.data-test-link-id]="'attachment-name'"
                  [href]="
                    getAttachmentDownloadURL(
                      componentData.attachmentList.id,
                      attachment
                    )
                  "
                  (click)="openFilePreview($event, attachment)"
                  >{{ attachment.name }}</a
                >
              </li>
            }
          </ul>
        } @else {
          {{ 'sqtm-core.generic.label.no-result' | translate }}
        }
      </div>
    </div>
  }
}
